<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\MappedSuperclass()
 */
abstract class CreditConfig
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="boolean")
     */
    private $active;

    /**
     * @ORM\Column(type="float", nullable=true)
     */
    private $limitAmount;

    /**
     * @ORM\Column(type="float", nullable=true)
     */
    private $limitReminder;

    /**
     * @ORM\Column(type="string", length=31, nullable=true)
     */
    private $behavior;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $processOrderCheckedDefault;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getActive(): ?bool
    {
        return $this->active;
    }

    public function setActive(bool $active): self
    {
        $this->active = $active;

        return $this;
    }

    public function getLimitAmount(): ?float
    {
        return $this->limitAmount;
    }

    public function setLimitAmount(?float $limitAmount): self
    {
        $this->limitAmount = $limitAmount;

        return $this;
    }

    public function getLimitReminder(): ?float
    {
        return $this->limitReminder;
    }

    public function setLimitReminder(?float $limitReminder): self
    {
        $this->limitReminder = $limitReminder;

        return $this;
    }

    public function getBehavior(): ?string
    {
        return $this->behavior;
    }

    public function setBehavior(?string $behavior): self
    {
        $this->behavior = $behavior;

        return $this;
    }

    public function getProcessOrderCheckedDefault(): ?bool
    {
        return $this->processOrderCheckedDefault;
    }

    public function setProcessOrderCheckedDefault(?bool $processOrderCheckedDefault): self
    {
        $this->processOrderCheckedDefault = $processOrderCheckedDefault;

        return $this;
    }
}
